2017-10-17 00:04 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004205Kali Linux[All Projects] General Bugpublic2017-10-11 18:49
Reporterbroomdodger 
Assigned Torhertzog 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Versionkali-dev 
Target Version2017.3Fixed in Version2017.3 
Summary0004205: Low Disk Space on "Kali Live"
Descriptionkali-linux-2017-W35-amd64.iso
kali-linux-rolling-amd64.iso (20170829)

+ Low Disk Space on "Kali Live"
- running from a 4 GB flash drive
- the flash drive has 900 MB free

Toshiba laptop L675
cpu i5 2.67 GHz
ram 4 GB
ssd 120 GB
Steps To Reproducedownload iso
check sha256sum
write usb flash
boot kali live from usb flash
dialog: Low Disk Space on "Kali Live"
Attached Files

-Relationships
+Relationships

-Notes

~0007171

defalt (reporter)

Don't use DD mode to create bootable USB. Use rufus and choose recommended ISO mode.

Your one of the partition of USB is unallocated and hidden. The one which is reported to have low disk space is the 3rd partition of your USB whose volume size is already in few Kilobytes which consists of efi binaries. That's why i don't like this DD mode. It does weird things with your USB.

If you go to Windows Disk Management or Gparted, you can see all 3 partitions of your USB. That's not the problem with kali. It depends which tool do you use for creating bootable USB.

Offensive secure releases ISO hybrid images of kali-linux so that you can choose either DD mode or ISO mode to make bootable USB.

~0007173

rhertzog (administrator)

Can you reproduce the problem if you create the USB disk like documented in the Kali Linux Revealed book ?

https://kali.training/chapter-2/downloading-kali-linux/

If not, then it's not our problem.

~0007175

broomdodger (reporter)

https://kali.training/chapter-2/downloading-kali-linux/

Creating a Bootable Kali USB Drive on Linux

Creating a bootable Kali Linux USB key in a Linux environment is easy. The GNOME desktop environment, which is installed by default in many Linux distributions, comes with a Disks utility (in the gnome-disk-utility package, which is already installed in the stock Kali image)...

I ALWAYS use the Disks utility to create the USB disk.
So YES it is REPRODUCIBLE.

These have the Low Disk Space on "Kali Live" problem:
kali-linux-rolling-amd64.iso
kali-linux-mate-rolling-amd64.iso

These do NOT have the Low Disk Space on "Kali Live" problem:
kali-linux-2017.1-amd64.iso
kali-linux-light-2017-W35-amd64.iso
kali-linux-xfce-rolling-amd64.iso

I will test more if you like.

~0007177

defalt (reporter)

@broomdodger You should at least upload a screenshot of what is taking up your entire disk space and in how many partitions your USB is divided after making it bootable in DD mode?

~0007180

rhertzog (administrator)

So it's not reproducible with images that we (Kali) ship. Are kali-linux-rolling-amd64.iso and kali-linux-mate-rolling-amd64.iso images that you built yourself ? What version of live-build did you use ?

~0007195

russm (reporter)

This is reproducible with the images you ship - I've just done so with kali-linux-2017-W35-amd64.iso

dd'ing kali-linux-2017-W35-amd64.iso onto a USB stick and booting that, /dev/sdb2 (the FAT partition with \efi\boot\boot{x64,ia32}.efi) gets mounted to "/media/root/Kali Live", and then an alert notification pops up that there's only 26.6kB free on that filesystem.

~0007202

broomdodger (reporter)

@rhertzog
'Low Disk Space on "Kali Live"' dialog
is REPRODUCIBLE with images Kali ships.

I am NOT building the isos.
I download isos from Kali
then use 'Disks' to create bootable USB.

# .......1.........2.........3.........4.........5.........6....
These give the 'Low Disk Space on "Kali Live"' dialog:
kali-linux-2017-W35-amd64.iso
kali-linux-2017-W35-i386.iso
kali-linux-mate-2017-W35-amd64.iso
kali-linux-mate-rolling-amd64.iso (kali daily 20170829)
kali-linux-mate-rolling-amd64.iso (kali daily 20170830)
kali-linux-rolling-amd64.iso (kali daily 20170829)
kali-linux-rolling-amd64.iso (kali daily 20170830)
kali-linux-rolling-i386.iso (kali daily 20170830)

# .......1.........2.........3.........4.........5.........6....
These do NOT give the 'Low Disk Space on "Kali Live"' dialog:
kali-linux-2017.1-amd64.iso
kali-linux-mate-2017.1-amd64.iso
kali-linux-xfce-2017.1-amd64.iso
kali-linux-light-2017-W35-amd64.iso
kali-linux-light-2017-W35-i386.iso
kali-linux-xfce-2017-W35-amd64.iso
kali-linux-xfce-rolling-amd64.iso (kali daily 20170829)
kali-linux-xfce-rolling-amd64.iso (kali daily 20170830)

# .......1.........2.........3.........4.........5.........6....

~0007210

defalt (reporter)

@broomdodger So what is that that taking up your disk space?

~0007211

atdtphreaker (reporter)

I get a similar notification - "Low Disk Space on ‘Kali Live’.” flash drive. (19.6gb free)

(kali-linux-2017-W33-amd64.iso)



Thanks.

~0007231

broomdodger (reporter)

@defalt Apology if I was un-clear

+ I download ISOs from Kali daily, Kali weekly, and Kali release

+ create bootable USB flash with gnome-disk-utility as per Kali_Revealed_1st_edition.pdf

+ boot fresh from the USB flash

+ 'Low Disk Space on "Kali Live"' dialog is displayed

~0007232

atdtphreaker (reporter)

Here is a screenshot of mine. (And yes, I realize that it's not referring to the 'persistence' partition.)



Thanks.

~0007325

flahlesslySpam (reporter)

I also have this same problem. I downloaded the Kali Linux Mate W37 iso file. I then followed the instructions from https://kali.training/chapter-2/downloading-kali-linux/ using both the Gnome Disks on Linux method and the command line on Linux method to write to USB. I also added persistence by creating a third partition and labeling it as "persistence" and following the persistence guide https://docs.kali.org/downloading/kali-linux-live-usb-persistence.

On my first boot of the newly created Kali Live USB stick, selected persistence mode and received the low disk warning. I hadn't touched anything as this was my first boot, hadn't even moved the mouse. I have attached a picture for reference.

In case it helps here is the output of "fdisk -l" command that I ran on Kali Live:
    Disk /dev/sdb: 29.9 GiB, 32078036992 bytes, 62652416 sectors
    Units: sectors of 1 * 512 = 512 bytes
    Sector size (logical/physical): 512 bytes / 512 bytes
    I/O size (minimum/optimal): 512 bytes / 512 bytes
    Disklabel type: dos
    Disk identifier: 0xaa612877
    
    Device Boot Start End Sectors Size Id Type
    /dev/sdb1 * 64 5815615 5815552 2.8G 17 Hidden HPFS/NTFS
    /dev/sdb2 5815616 5817023 1408 704K 1 FAT12
    /dev/sdb3 5818368 62652415 56834048 27.1G 83 Linux

~0007326

defalt (reporter)

Kali is pointing low disk space to the FAT12 700KB partition of your USB in which your efi files are present to boot USB.

~0007397

gidra (reporter)

Hello,

I have the same problem with kali-linux-2017.2-amd64.iso

I used dd to make a bootable USB

~0007513

atdtphreaker (reporter)

As of today (having triple and quadruple checked), am NO LONGER getting a "Low Disk Space on ‘Kali Live’” alert. I'm not sure if any updating rectified the issue.



Thanks.

~0007514

broomdodger (reporter)

http://archive.kali.org/kali-daily-images/
kali-linux-rolling-amd64.iso 11-Oct-2017 01:50 2824994816
kali-linux-mate-rolling-amd64.iso 11-Oct-2017 05:29 2772140032

NO MORE 'Low Disk Space on "Kali Live"' alert
with either gnome or mate
they seem fixed

What fixed them?

~0007520

rhertzog (administrator)

Nice to hear that, it's probably the upgrade of gnome-disk-utility to 3.26.0 or 3.26.1 that fixed this.

https://pkg.kali.org/pkg/gnome-disk-utility
+Notes

-Issue History
Date Modified Username Field Change
2017-08-29 05:35 broomdodger New Issue
2017-08-29 05:35 broomdodger File Added: lowspace.jpg
2017-08-29 13:20 defalt Note Added: 0007171
2017-08-29 15:06 rhertzog Assigned To => rhertzog
2017-08-29 15:06 rhertzog Status new => feedback
2017-08-29 15:06 rhertzog Note Added: 0007173
2017-08-29 16:51 broomdodger Note Added: 0007175
2017-08-29 16:51 broomdodger Status feedback => assigned
2017-08-29 18:45 defalt Note Added: 0007177
2017-08-30 06:20 rhertzog Note Added: 0007180
2017-08-30 08:32 russm Note Added: 0007195
2017-08-30 14:37 broomdodger Note Added: 0007202
2017-08-30 19:47 defalt Note Added: 0007210
2017-08-31 03:36 atdtphreaker Note Added: 0007211
2017-08-31 16:44 broomdodger Note Added: 0007231
2017-08-31 21:47 atdtphreaker File Added: Screenshot from 2017-08-31 17-42-09.png
2017-08-31 21:47 atdtphreaker Note Added: 0007232
2017-09-14 17:35 flahlesslySpam File Added: Screenshot_at_2017_09_14_04_42_48.png
2017-09-14 17:35 flahlesslySpam Note Added: 0007325
2017-09-14 17:40 defalt Note Added: 0007326
2017-09-22 08:19 gidra Note Added: 0007397
2017-10-11 02:48 atdtphreaker Note Added: 0007513
2017-10-11 08:07 broomdodger Note Added: 0007514
2017-10-11 18:48 rhertzog Status assigned => resolved
2017-10-11 18:48 rhertzog Resolution open => fixed
2017-10-11 18:48 rhertzog Note Added: 0007520
2017-10-11 18:49 rhertzog Fixed in Version => 2017.3
2017-10-11 18:49 rhertzog Target Version => 2017.3
+Issue History